Subject: Bug#372: [X2Go-Dev] Bug#372: x2goadmin writes to users homes

From: Reinhard Tartler <[email-masked]>
Date: Mon, 16 Dec 2013 07:33:40 -0500

On Mon, Dec 16, 2013 at 2:34 AM, Mike Gabriel
<[email-masked]> wrote:
> I install x2goserver on the file servers and run x2godbadmin there daily in
> a cron job.
>
> If you have distributed file servers, one should test for the $HOME to be
> accessible in x2godbadmin.

What to do if it isn't accesible? Then the user won't get a password
to access the postgres, and x2godbadmin will fail silently. That's
even worse!

> If needed, we could split out x2godbadmin from the x2goserver package and
> provide it as a standalone package.

I don't see any benefit in doing so other than moving the problem
around instead of solving it.

Cheers,

-- 
regards,
    Reinhard